function E0090()
    MNA()CMU("CS_Dusk")FAI(0)
end
function E0091()
    MNA()CMU("CS_Dusk")FAI(1)
end
function E0092()
    MNA()CMU("CS_Dusk")FAI(2)
end
function E0093()
    MNA()CMU("CS_Dusk")FAI(3)
end
function E0094()
    MNA()CMU("CS_Dusk")FAI(4)
end

function GoSeaBed()
    PRI()FAO(1)TRA("CS_seabed","E0093",1,18,1,32)
end

function GoSeaChest()
    PRI()FAO(3)TRA("CS_sea_chest","E0091",38,10)
end

function FallIntoSea()
    PRI()
    CMU("XXXX")
    FAC("jack_><")MS3("还没到嘛？")NOD()
    CAT("\n我感觉快要死了。")NOD()CLR()
    FAC()CAT("好像已经到了，")NOD()
    CAT("\n我看到光了！")NOD()CLO()
    KEY()
    SMC()
    MOV(19,0,MCI("CS_mychar_jack"))
    MOV(21,0,MCI("CS_mychar_santa"))
    SNP("CS_puppy_animate",20,-2,0,"mainLayer","Puppy1")
    ANP("Puppy1","fall")
    AMC("hurt",1,MCI("CS_mychar_jack"))
    AMC("hurt",0,MCI("CS_mychar_santa"))
    FAI(0)
    SNP("sys_trigger_v_allplayer",20,0,0,"mainLayer","Camera1")
    WAI(1)
    FON("Camera1",1)
    MS2("\n啊啊啊啊啊————！")
    WAS()
    CLO()
    SOU("CS_071_little_crash")
    AMC("smoke")
    AMC("lie")
    WAI(128)
    FAC("jack_><")MS3("\n桑塔我快不行了。")NOD()CLR()
    FAC()CAT("\n我也是...")NOD()CLO()
    WAI(64)
    FAO(2)
    WAI(32)
    MSG("意识逐渐远去...")NOD()
    CAT("\n不过脑内传来一段声音。")NOD()CLR()
    MS2("你们俩就这么快不行了嘛...")NOD()
    CAT("\n我甚至还没看到你们挣扎的样子。")NOD()
    CAT("\n再多给我带来一些乐趣啊。")NOD()CLO()
    SOU("CS_101_lightning_strike")
    WAI(64)
    TRA("CS_sea_entrance","WakeUp",19,54)
end

function WakeUp()
    KEY()
    MOV(19,54,MCI("CS_mychar_jack"))
    MOV(22,51,MCI("CS_mychar_santa"))
    --隐藏玩家
    HMC(MCI("CS_mychar_jack"))
    HMC(MCI("CS_mychar_santa"))
    MS3("\n汪汪...")
    SOU("CS_105_puppy_bark")WAI(64)
    SOU("CS_105_puppy_bark")WAI(16)SOU("CS_105_puppy_bark")
    NOD()CLO()
    --临时替换成鱼
    SGP("CS_mychar_jackfish",19,54,1,"CS_mychar_jackfish_p1")
    SGP("CS_mychar_santafish",21,54,0,"CS_mychar_santafish_p2")
    SGP("CS_mychar_puppyfish",17,52,0,"CS_mychar_puppyfish_p3")
    --更换操控角色
    SPL(0,"CS_mychar_jackfish_p1")
    SPL(1,"CS_mychar_santafish_p2")
    AMC("lie",1,MCI("CS_mychar_jackfish"))
    AMC("lie",0,MCI("CS_mychar_santafish"))
    AMC("float",1,"CS_mychar_puppyfish_p3")
    WAS()
    FAI(0)
    WAI(32)
    MS3("\n汪汪...")
    AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(64)
    AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark",1,"CS_mychar_puppyfish_p3")
    NOD()CLO()
    WAI(32)
    FAC("jack_><")MS3("\n我们还活着嘛？")NOD()CLR()
    FAC()CAT("\n不知道，但我做了一个自己变成鱼的梦。")NOD()CLO()
    WAI(32)
    SNP("CS_exclamation",21,53,0,"mainLayer","null")--感叹号
    AMC("normal",0,MCI("CS_mychar_santafish"))
    WAI(32)
    AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark",1,"CS_mychar_puppyfish_p3")
    WAI(64)
    AMC("stand",0,MCI("CS_mychar_santafish"))
    AMC("look_up",0,MCI("CS_mychar_santafish"))
    AMC("swim",1,"CS_mychar_puppyfish_p3")WAI(80)
    AMC("swim",0,"CS_mychar_puppyfish_p3")WAI(80)
    AMC("float",1,"CS_mychar_puppyfish_p3")WAI(32)
    AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark",1,"CS_mychar_puppyfish_p3")
    WAI(32)
    MS3("\n不，我仍然还在梦里。")NOD()CLO()
    WAI(32)
    AMC("normal",0,MCI("CS_mychar_santafish"))
    WAI(32)
    AMC("lie",0,MCI("CS_mychar_santafish"))
    WAI(64)
    AMC("bark_high",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark_high",1,"CS_mychar_puppyfish_p3")
    WAI(64)
    AMC("set_target",1,"CS_mychar_puppyfish_p3")
    AMC("CS_mychar_santafish",1,"CS_mychar_puppyfish_p3")
    AMC("swim_target",1,"CS_mychar_puppyfish_p3")
    WAI(50)
    AMC("float",1,"CS_mychar_puppyfish_p3")
    AMC("bark_high",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark_high",1,"CS_mychar_puppyfish_p3")
    WAI(64)
    AMC("normal",0,MCI("CS_mychar_santafish"))
    WAI(32)
    AMC("bark_high",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark_high",1,"CS_mychar_puppyfish_p3")
    MS3("这个叫声听起来这么真实，")NOD()
    CAT("\n看样子我并不是在做梦...")NOD()CLO()
    WAI(32)
    AMC("normal",1,MCI("CS_mychar_jackfish"))
    AMC("float",0,"CS_mychar_puppyfish_p3")
    FAC("jack_><")MS3("\n好吵啊，到底发生了什么。")NOD()CLR()
    FAC()CAT("\n杰克，你终于醒啦。")NOD()CLR()
    FAC("jack_normal")CAT("\n这是怎么回事？")NOD()CLO()
    AMC("normal",0,MCI("CS_mychar_jackfish"))
    WAI(32)
    AMC("back",0,MCI("CS_mychar_jackfish"))
    WAI(32)
    AMC("back",1,MCI("CS_mychar_jackfish"))
    WAI(32)
    AMC("normal",1,MCI("CS_mychar_jackfish"))
    FAC()MS3("我们其实变成了鱼，")NOD()
    CAT("\n然后在水中活了下来。")NOD()CLR()
    FAC("jack_><")CAT("\n可我还不会游泳...")NOD()CLR()
    FAC()CAT("\n我也是...")NOD()CLO()
    AMC("float_up",0,"CS_mychar_puppyfish_p3")
    AMC("stand",1,MCI("CS_mychar_jackfish"))
    AMC("look_up",1,MCI("CS_mychar_jackfish"))
    AMC("stand",0,MCI("CS_mychar_santafish"))
    AMC("look_up",0,MCI("CS_mychar_santafish"))
    WAI(64)
    AMC("swim",1,"CS_mychar_puppyfish_p3")WAI(40)
    AMC("swim",0,"CS_mychar_puppyfish_p3")WAI(80)
    AMC("float",1,"CS_mychar_puppyfish_p3")WAI(32)
    AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark",1,"CS_mychar_puppyfish_p3")
    FAC()MS3("\n看样子狗子都比我们会游...")NOD()CLR()
    AMC("normal",1,MCI("CS_mychar_jackfish"))
    FAC("jack_><")CAT("\n别说了...我知道了...")NOD()CLR()
    AMC("normal",0,MCI("CS_mychar_santafish"))
    FAC("jack_normal")CAT("游泳什么的再慢慢边学掌握就是，")NOD()
    CAT("\n重要的是我们是不是来对了地方。")NOD()CLR()
    CAT("\n一起去附近看看周围什么情况吧。")NOD()CLR()
    FAC()CAT("\n也对。")NOD()CLO()
    --设置
    AMC("normal",0,"CS_mychar_puppyfish_p3")
    FLP("FishState")
    ITS("Mick")
    --如果只有1个玩家
    if(GOP() == 1) then
        --玩家2由AI控制
        AGP("CS_mychar_santafish_p2",true)
    end
    --小狗由AI控制
    AGP("CS_mychar_puppyfish_p3",true)
    --恢复玩家控制
    CMU("CS_Dusk")
end

function Over()
    KEY()
    MYB(1,PLY())WAS()
    MS4("masrofox：目前内容到为止。")NOD()
    CAT("\n谢谢游玩！请等下次更新~")NOD()
end